Microsoft Edge compatablity with aviationhub.aero

1 post / 0 new
Microsoft Edge compatablity with aviationhub.aero

Unfortunately Microsoft Edge is not supported browser for our application. Currently recommended browsers are Internet Explorer 11 or Google Chrome.